<?php
if (!defined ('TYPO3_MODE')) die ('Access denied.');
/***************************************************************
*  Copyright notice
*
*  (c) 2010 Different Solutions GmbH <info@different-solutions.de>
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

$tempColumns = array (
	'tx_dsvtigercrm_name' => array (		
		'exclude' => 1,		
		'label' => 'LLL:EXT:ds_vtiger_crm/locallang_db.xml:tx_powermail_fields.tx_dsvtigercrm_name',		
		'config' => array (
			'type' => 'input',	
			'size' => '30',
		)
	),
);

t3lib_div::loadTCA('tx_powermail_fields');
t3lib_extMgm::addTCAcolumns('tx_powermail_fields',$tempColumns,1);
t3lib_extMgm::addToAllTCAtypes('tx_powermail_fields','tx_dsvtigercrm_name;;;;1-1-1');


$tempColumns = array (
	'tx_dsvtigercrm_enable' => array (		
		'exclude' => 1,		
		'label' => 'LLL:EXT:ds_vtiger_crm/locallang_db.xml:tt_content.tx_dsvtigercrm_enable',		
		'config' => array (
			'type' => 'check',
		)
	),
	'tx_dsvtigercrm_action' => array (		
		'exclude' => 1,		
		'label' => 'LLL:EXT:ds_vtiger_crm/locallang_db.xml:tt_content.tx_dsvtigercrm_action',		
		'config' => array (
			'type' => 'input',	
			'size' => '30',
		)
	),
	'tx_dsvtigercrm_target' => array (		
		'exclude' => 1,		
		'label' => 'LLL:EXT:ds_vtiger_crm/locallang_db.xml:tt_content.tx_dsvtigercrm_target',		
		'config' => array (
			'type' => 'input',	
			'size' => '30',
		)
	),
	'tx_dsvtigercrm_accessKey' => array (		
		'exclude' => 1,		
		'label' => 'LLL:EXT:ds_vtiger_crm/locallang_db.xml:tt_content.tx_dsvtigercrm_accessKey',		
		'config' => array (
			'type' => 'input',	
			'size' => '30',
		)
	),
	'tx_dsvtigercrm_userName' => array (		
		'exclude' => 1,		
		'label' => 'LLL:EXT:ds_vtiger_crm/locallang_db.xml:tt_content.tx_dsvtigercrm_userName',		
		'config' => array (
			'type' => 'input',	
			'size' => '30',
		)
	),
);

t3lib_div::loadTCA('tt_content');
t3lib_extMgm::addTCAcolumns('tt_content',$tempColumns,1);
t3lib_extMgm::addToAllTCAtypes('tt_content','--div--;LLL:EXT:ds_vtiger_crm/locallang_db.xml:tt_content.tx_dsvtigercrm_pref,tx_dsvtigercrm_enable;;;;1-1-1, tx_dsvtigercrm_action, tx_dsvtigercrm_target, tx_dsvtigercrm_accessKey, tx_dsvtigercrm_userName','powermail_pi1');


if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/ds_vtiger_crm/ext_tables.php']) {
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/ds_vtiger_crm/ext_tables.php']);
}
?>
